<?php
require('global.php');
$url = trim(urldecode($_GET['url']));
if(!$url) qbase::showmsg('bad request');
$hash = qbase::createHashParam();
$url = $url . (strpos($url, '?') === false ? '?' : '&') . "hash=" . $hash;
if(AJAX){
	echo qbase::xmlprint($url);
}else{
	header("location: " . $url);
}
?>
